[jira] [Commented] (TIKA-2819) Update jaxb & activation

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (TIKA-2819) Update jaxb & activation

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/TIKA-2819?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16759909#comment-16759909 ]

Tim Allison commented on TIKA-2819:
-----------------------------------

bq. The latest version of activation-api (which will need to be excluded from jaxb-runtime) is: {{jakarta.activation:jakarta.activation-api:1.2.1}}

I'm sorry. I misunderstood the above to mean that it had to be excluded from jaxb-runtime, but had to be included {{as-is}}.  I had assumed there was a version conflict with jaxb-runtime's {{activation-api}}.

But, right, if I had read the issue that you linked above, I should have gotten this right.  Sorry.

Thank you for the clarification!



> Update jaxb & activation
> ------------------------
>
>                 Key: TIKA-2819
>                 URL: https://issues.apache.org/jira/browse/TIKA-2819
>             Project: Tika
>          Issue Type: Improvement
>          Components: parser
>            Reporter: Hans Brende
>            Assignee: Tim Allison
>            Priority: Major
>             Fix For: 1.21
>
>
> The latest version of jaxb is: {{org.glassfish.jaxb:jaxb-runtime:2.3.2}}
> The latest version of activation is: {{com.sun.activation:jakarta.activation:1.2.1}}
> The latest version of activation-api (which will need to be excluded from jaxb-runtime) is: {{jakarta.activation:jakarta.activation-api:1.2.1}}
> Cf. TIKA-2778
> Also, see this github issue for a lively discussion on jaxb-runtime's use of activation-api: https://github.com/eclipse-ee4j/jaxb-ri/issues/1284



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)